#include <stdio.h>
enum data_type {
    STRING,
    INTEGER,
    POINTER
};

int write_format(void *data, enum data_type type, char *filename)
{
    FILE *file = fopen(filename, "w");
    if(!file) return 1;

    fprintf(file, "test");
    // FIXME: Implement this function
    fclose(file);
    return 0;
}
